This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 171527 - Installer loads sata-hostadapter module before mainboard adapter module
Installer loads sata-hostadapter module before mainboard adapter module
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-22 07:32 EDT by Ronny Fischer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-24 13:30:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronny Fischer 2005-10-22 07:32:48 EDT
From Bugzilla Helper:
User-Agent: Opera/9.00 (X11; Linux i686; U; de)

Description of problem:
I'm using 4 SATA harddisks (2 on ICH5 on motherboard, 2 on Silicon Image PCI 
hostadapter) Anaconda recognizes first the host adapter, then the adapter 
installed with the motherboard. When installing on the second disk on ICH5, 
this disk is labeled as sdd, not as sdb (as the order usually suggests).
this makes GRUB labeling wrong


Version-Release number of selected component (if applicable):
kernel-2.6.xx

How reproducible:
Always

Steps to Reproduce:
1. Install FC on system with 4 hdds (2 on hostadapter)
2. use defaults
3.
  


Additional info:
Comment 1 Jeremy Katz 2005-10-24 13:30:14 EDT
The module load order is based on what is presented by the PCI bus (using ACPI
with 2.6 kernels).  Unfortunately, x86 machines are not good about exporting any
information about what boot devices are. If you do advanced boot loader
configuration, you can change the disk order to match what the BIOS expects.

Note You need to log in before you can comment on or make changes to this bug.